SVG images not visible in Map Composer printed
Status: Closed

Priority: Low

Assignee: Redmine Admin

Category:

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10397

Description

SVGs are not visible or have their colors and transparencies corrupted after added via 'Add Image' in Map Composer. Some SVGs

become better visible (but usually only partially or corrupted) after printing to eps.

It happens with any SVG I tried of those shipped with my Gnome or those shipped with QGIS.

History

#1 - 2006-11-09 11:16 PM - Gavin Macaulay -

This problem is caused by the less than ideal support of svg by Qt. For the moment there's little we can do about this - we're basically waiting for Qt to

provide better support for svg, hence I've disabled the svg filter in the load image dialog box, and shifted this ticket to the 0.9 release. SVG's can still be

loaded by selecting the *.* filter, etc (SVN commit:c9fed33a (SVN r6068)).

#2 - 2008-08-25 11:58 PM - Marco Hugentobler

Is this ticket still valid?

#3 - 2008-08-26 12:39 AM - gjm -

Seems to be much improved. It is likely that there are still problems with svg, given Qt's limited SVG support, but I'd call this ticket resolved.

#4 - 2008-08-26 03:36 AM - Maciej Sieczka -

- Resolution set to worksforme

- Status changed from Open to Closed

Replying to [comment:3 mhugent]:

Is this ticket still valid?

All looks fine now. Colour SVGs with shadows, transparencies and stuff look OK in the composer and PDF output (using QT 4.4.0, Debian). Closing ticket.

#5 - 2009-08-22 12:57 AM - Anonymous
Milestone Version 1.0.0 deleted
